Package Details: perl-ppi 1.220-1

Git Clone URL: https://aur.archlinux.org/perl-ppi.git (read-only)
Package Base: perl-ppi
Description: Parse, Analyze and Manipulate Perl (without perl)
Upstream URL: http://search.mcpan.org/dist/PPI
Licenses: GPL, PerlArtistic
Submitter: td123
Maintainer: bidulock
Last Packager: bidulock
Votes: 55
Popularity: 0.132744
First Submitted: 2011-03-24 15:09
Last Updated: 2015-07-17 05:13

Latest Comments

ChrisDennis commented on 2015-03-11 14:52

Installation tests failed on my system, e.g.

t/21_exhaustive.t ................ 3/1005 *** Error in `/usr/bin/perl': realloc(): invalid pointer: 0x0000000000b6200c ***

I'm running: "This is perl 5, version 20, subversion 2 (v5.20.2) built for x86_64-linux-thread-multi"

The package installed OK with the check() section commented out.

chimeracoder commented on 2014-11-12 02:47

@jnbek Thanks, I've updated to the latest version.

jnbek commented on 2014-11-11 22:36

1.220 was just uploaded to CPAN 2 hours ago, Perl::Critic was also uploaded to CPAN, and the new version requires PPI version 1.220

JP-Ellis commented on 2014-11-06 04:44

Installing through Yaourt doesn't work as it doesn't parse the `checkdepends`. Modifying the PKGBUILD and putting the `checkdepends` at the end of `makedepends` works fine.

jnbek commented on 2014-09-22 21:25

https://gist.github.com/jnbek/88ef823632b09ac19103 Updated PKGBUILD

jnbek commented on 2014-09-22 21:12

Latest version is 1.218, please update the pkgbuild

lancew commented on 2014-08-15 18:33

Broken in 2014. :-(
Console output: https://gist.github.com/lancew/8516a908e963c5b4c25f

chimeracoder commented on 2013-05-17 01:37

Thanks @dracorp - I've updated it. I believe it should work now.

dracorp commented on 2013-05-16 12:46

http://pastebin.com/raw.php?i=62CbusdA

dracorp commented on 2013-05-16 12:38

==> Starting build()...
/tmp/yaourt-tmp-piecia/aur-perl-ppi/./PKGBUILD: line 25: cd: /PPI-1.215: No such file or directory
==> ERROR: A failure occurred in build().

All comments